#ifndef TEXTURES_HPP
#define TEXTURES_HPP

#include <Basis/Screen.hpp>
#include <Vector/Vector.hpp>
#include <Vector/Quat.hpp>

#include <vector>

class Textures : public Screen {
public:
	Textures();
	virtual ~Textures();
	virtual void draw();
	virtual void update(float elapsed);
	virtual void handle_event(SDL_Event const &event);

	std::vector< Vector3f > quad_strip;
	std::vector< Vector3f > quad_strip_norms;
	Quatf rot;
	Vector3f rot_vel;

	bool secret_mode;
};



#endif //TEXTURES_HPP
