#ifndef MENU_HPP
#define MENU_HPP

#include <Basis/Screen.hpp>

#include <vector>
#include <string>
#include <utility>

class Menu : public Screen {
public:
	Menu();
	virtual ~Menu();
	virtual void draw();
	virtual void update(float elapsed_time);
	virtual void handle_event(SDL_Event const &event);
	std::vector< std::pair< std::string, Screen * > > choices;
	unsigned int current_choice;
	float current_position;
};





#endif //MENU_HPP
